C3DValueAttributeTranslator< T > Class Template Reference
Basic data strctures and functions

a translater for 3D vectors to and from a std::string More...

`#include <mia/3d/valueattributetranslator.hh>`

Inheritance diagram for C3DValueAttributeTranslator< T >:
[legend]
Collaboration diagram for C3DValueAttributeTranslator< T >:
[legend]

## Static Public Member Functions

static bool | register_for (const std::string &key)

## Additional Inherited Members

Public Member Functions inherited from CAttrTranslator
PAttribute | from_string (const std::string &value) const
virtual | ~CAttrTranslator ()
| The virtual destructor just ensures virtual destruction and silences a warning.
Protected Member Functions inherited from CAttrTranslator
| CAttrTranslator ()
bool | do_register (const std::string &key)

## Detailed Description

template<typename T>
class C3DValueAttributeTranslator< T >

a translater for 3D vectors to and from a std::string

Definition at line 35 of file valueattributetranslator.hh.

## Member Function Documentation

## register_for()

template<typename T>

bool C3DValueAttributeTranslator< T >::register_for | ( | const std::string & | key | ) |

static

The documentation for this class was generated from the following file:

- valueattributetranslator.hh